Create a staff member role
Body·
required
application/json
Fields accepted when creating a staff member role. Unknown or read-only fields are rejected.
- Type: string | nullFormat: uuidrole
_id requiredReferences roles.id.
- Type: string | nullFormat: uuidstaff
_member _id requiredReferences staff_members.id.
- Type: number | nullcall
_order - Type: string | nulllabel
- Type: string | nullenumstatus
Active capabilities staff first; bench is the reserve pool; inactive is retired.
valuesinactivebenchactivenull
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/staff-member-roles
curl https://api.hireorpheus.com/api/v1/staff-member-roles \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"label": null,
"status": "inactive",
"call_order": null,
"role_id": null,
"staff_member_id": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": null,
"status": "inactive",
"call_order": null,
"role_id": null,
"staff_member_id": null,
"created_time": "2026-10-14T08:02:53.591Z",
"last_edited_time": "2026-10-14T08:02:53.591Z"
}
}